Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMAppInfo

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMAppInfo

Direct Known Subclasses:
  SOMDocumentation

public class SOMAppInfo
extends SOMObject

<appInfo> content element for the schema element annotation.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `SOMAppInfo(org.xml.sax.Attributes attrs)`
`` | `SOMAppInfo(java.lang.String content)`

Method Summary
`void` | `appendContent(java.lang.String content)`
`java.util.Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`java.lang.String` | `getContent()`
`java.lang.String` | `getID()`
`java.lang.String` | `getSource()`
`void` | `setContent(java.lang.String content)`
`void` | `setSource(java.lang.String uriRef)`
`void` | `toXML(java.io.Writer rtn, int indent)`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMAppInfo

    public SOMAppInfo(java.lang.String content)

### SOMAppInfo

    protected SOMAppInfo(org.xml.sax.Attributes attrs)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### setSource

    public void setSource(java.lang.String uriRef)

### getSource

    public java.lang.String getSource()

### setContent

    public void setContent(java.lang.String content)

### appendContent

    public void appendContent(java.lang.String content)

### getContent

    public java.lang.String getContent()

### getAttributes

    public java.util.Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)